# HG changeset patch
# User Christophe Capon <christophe.capon@vilogia.fr>
# Date 1269590732 -3600
# Branch 5.3.0
# Node ID c1cc5ea70ee2d80fd7bf4677f047994eea0e1ff1
# Parent  e279cd5bf8c7997b1d71eb212aeb7f50b88527bf
Applied Nuxeo formatting

diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/AlertManagementService.java
--- a/nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/AlertManagementService.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/AlertManagementService.java	Fri Mar 26 09:05:32 2010 +0100
@@ -35,7 +35,8 @@
 
     /**
      * Process the alerts raised by the registered providers.
-     * @throws ClientException 
+     * 
+     * @throws ClientException
      */
 
     public void processAlerts(AlertContext ctx) throws ClientException;
@@ -57,7 +58,6 @@
 
     public void unRegisterProvider(String providerName);
 
-
     /**
      * Unregisters all alert providers
      * 
@@ -65,25 +65,20 @@
 
     public void unRegisterProviders();
 
-    
-
     /**
      * Return the list of all alert providers
      * 
      */
 
-    public Map<String, AlertProvider> getAlertProviders() ;
-    
-    
+    public Map<String, AlertProvider> getAlertProviders();
+
     /**
      * Allows to change the email helper
      * 
      * @param emailHelper the new emailHelper
      * @return previously registered emailHelper
      */
-    
-    public EmailHelper setEmailHelper(EmailHelper emailHelper); 
 
- 
- 
+    public EmailHelper setEmailHelper(EmailHelper emailHelper);
+
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/AlertManagementServiceImplComponent.java
--- a/nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/AlertManagementServiceImplComponent.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/AlertManagementServiceImplComponent.java	Fri Mar 26 09:05:32 2010 +0100
@@ -44,140 +44,155 @@
 
 public class AlertManagementServiceImplComponent extends DefaultComponent {
 
-	public static final String NAME = "com.nuxeo.vilogia.userpreferences.AlertManagementServiceComponent";
+    public static final String NAME = "com.nuxeo.vilogia.userpreferences.AlertManagementServiceComponent";
 
-	private static final Log log = LogFactory.getLog(AlertManagementService.class);
+    private static final Log log = LogFactory.getLog(AlertManagementService.class);
 
-	private static AlertManagementDescriptor descriptor;
+    private static AlertManagementDescriptor descriptor;
 
-	private static AlertManagementService alertManagementService;
+    private static AlertManagementService alertManagementService;
 
-	@Override
-	public void activate(ComponentContext context) {
-		log.info("AlertManagementService activated");
-	}
+    @Override
+    public void activate(ComponentContext context) {
+        log.info("AlertManagementService activated");
+    }
 
-	@Override
-	public void deactivate(ComponentContext context) {
-		log.info("AlertManagementService deactivated");
-	}
+    @Override
+    public void deactivate(ComponentContext context) {
+        log.info("AlertManagementService deactivated");
+    }
 
-	@Override
-	public <T> T getAdapter(Class<T> adapter) {
-		if (adapter == AlertManagementService.class) {
-			try {
-				return adapter.cast(getAlertManagementService());
-			} catch (Exception e) {
-				log.error("error fetching AlertManagementService: ", e);
-			}
-		}
-		return null;
-	}
+    @Override
+    public <T> T getAdapter(Class<T> adapter) {
+        if (adapter == AlertManagementService.class) {
+            try {
+                return adapter.cast(getAlertManagementService());
+            } catch (Exception e) {
+                log.error("error fetching AlertManagementService: ", e);
+            }
+        }
+        return null;
+    }
 
-	private AlertManagementService getAlertManagementService() throws ClientException {
+    private AlertManagementService getAlertManagementService()
+            throws ClientException {
 
-		if (alertManagementService == null) {
+        if (alertManagementService == null) {
 
-			Class<?> klass = descriptor.getAlertManagementClass();
+            Class<?> klass = descriptor.getAlertManagementClass();
 
-			if (klass == null) {
-				throw new ClientException("No class specified for the AlertManagement");
-			}
-			try {
-				alertManagementService = (AlertManagementService) klass.newInstance();
-			} catch (InstantiationException e) {
-				throw new ClientException("Failed to instantiate class " + klass, e);
-			} catch (IllegalAccessException e) {
-				throw new ClientException("Failed to instantiate class " + klass, e);
-			}
-		}
-		return alertManagementService;
-	}
+            if (klass == null) {
+                throw new ClientException(
+                        "No class specified for the AlertManagement");
+            }
+            try {
+                alertManagementService = (AlertManagementService) klass.newInstance();
+            } catch (InstantiationException e) {
+                throw new ClientException("Failed to instantiate class "
+                        + klass, e);
+            } catch (IllegalAccessException e) {
+                throw new ClientException("Failed to instantiate class "
+                        + klass, e);
+            }
+        }
+        return alertManagementService;
+    }
 
-	@Override
-	public void registerContribution(Object contribution, String extensionPoint, ComponentInstance contributor)
-			throws ClientException {
+    @Override
+    public void registerContribution(Object contribution,
+            String extensionPoint, ComponentInstance contributor)
+            throws ClientException {
 
-		if (AlertManagementConstants.BASE_EXTENSION_POINT.equals(extensionPoint)) {
-			descriptor = (AlertManagementDescriptor) contribution;
-		} else if (AlertManagementConstants.ALERT_PROVIDER_EXTENSION_POINT.equals(extensionPoint)) {
+        if (AlertManagementConstants.BASE_EXTENSION_POINT.equals(extensionPoint)) {
+            descriptor = (AlertManagementDescriptor) contribution;
+        } else if (AlertManagementConstants.ALERT_PROVIDER_EXTENSION_POINT.equals(extensionPoint)) {
 
-			AlertProviderDescriptor desc = (AlertProviderDescriptor) contribution;
-			Class<?> klass = desc.getAlertProviderClass();
+            AlertProviderDescriptor desc = (AlertProviderDescriptor) contribution;
+            Class<?> klass = desc.getAlertProviderClass();
 
-			try {
+            try {
 
-				AlertManagementService svc = getAlertManagementService();
+                AlertManagementService svc = getAlertManagementService();
 
-				if (klass == null) {
-					log.info(String
-							.format("No class specified for %s AlertProvider, trying to remove", desc.getAlertProviderName()));
+                if (klass == null) {
+                    log.info(String.format(
+                            "No class specified for %s AlertProvider, trying to remove",
+                            desc.getAlertProviderName()));
 
-					svc.unRegisterProvider(desc.getAlertProviderName());
+                    svc.unRegisterProvider(desc.getAlertProviderName());
 
-				} else {
+                } else {
 
-					AlertProvider provider = (AlertProvider) klass.newInstance();
-					svc.registerProvider(desc.getAlertProviderName(), provider);
-				}
+                    AlertProvider provider = (AlertProvider) klass.newInstance();
+                    svc.registerProvider(desc.getAlertProviderName(), provider);
+                }
 
-			} catch (InstantiationException e) {
-				throw new ClientException("Failed to instantiate class " + klass, e);
-			} catch (IllegalAccessException e) {
-				throw new ClientException("Failed to instantiate class " + klass, e);
-			} catch (Exception e) {
-				throw new ClientException("Failed to get AlertManagementService", e);
-			}
+            } catch (InstantiationException e) {
+                throw new ClientException("Failed to instantiate class "
+                        + klass, e);
+            } catch (IllegalAccessException e) {
+                throw new ClientException("Failed to instantiate class "
+                        + klass, e);
+            } catch (Exception e) {
+                throw new ClientException(
+                        "Failed to get AlertManagementService", e);
+            }
 
-		} else {
-			log.error(String.format("Unknown %s extension point for AlertManagementService", extensionPoint));
-		}
+        } else {
+            log.error(String.format(
+                    "Unknown %s extension point for AlertManagementService",
+                    extensionPoint));
+        }
 
-	}
+    }
 
-	@Override
-	public void unregisterContribution(Object contribution, String extensionPoint, ComponentInstance contributor)
-			throws ClientException {
-		if (AlertManagementConstants.BASE_EXTENSION_POINT.equals(extensionPoint)) {	
-						
-			releaseAlertManagementService();
+    @Override
+    public void unregisterContribution(Object contribution,
+            String extensionPoint, ComponentInstance contributor)
+            throws ClientException {
+        if (AlertManagementConstants.BASE_EXTENSION_POINT.equals(extensionPoint)) {
 
-			descriptor = null;
-			
-		} else if (AlertManagementConstants.ALERT_PROVIDER_EXTENSION_POINT.equals(extensionPoint)) {
+            releaseAlertManagementService();
 
-			AlertProviderDescriptor desc = (AlertProviderDescriptor) contribution;
+            descriptor = null;
 
-			try {
+        } else if (AlertManagementConstants.ALERT_PROVIDER_EXTENSION_POINT.equals(extensionPoint)) {
 
-				AlertManagementService svc = getAlertManagementService();
+            AlertProviderDescriptor desc = (AlertProviderDescriptor) contribution;
 
-					svc.unRegisterProvider(desc.getAlertProviderName());
+            try {
 
-			} catch (Exception e) {
-				throw new ClientException("Failed to get AlertManagementService", e);
-			}
+                AlertManagementService svc = getAlertManagementService();
 
-		} else {
-			log.error(String.format("Unknown %s extension point for AlertManagementService", extensionPoint));
-		}
+                svc.unRegisterProvider(desc.getAlertProviderName());
 
-	}
+            } catch (Exception e) {
+                throw new ClientException(
+                        "Failed to get AlertManagementService", e);
+            }
 
-	private void releaseAlertManagementService() throws ClientException {
-	
-		getAlertManagementService().unRegisterProviders();
+        } else {
+            log.error(String.format(
+                    "Unknown %s extension point for AlertManagementService",
+                    extensionPoint));
+        }
 
-		alertManagementService = null;
-			
-	}
+    }
 
-	public static void reset() {
-		alertManagementService = null;
-	}
+    private void releaseAlertManagementService() throws ClientException {
 
-	public static Class<? extends AlertManagementService> getAlertManagementClass() {
-		return descriptor.getAlertManagementClass();
-	}
+        getAlertManagementService().unRegisterProviders();
+
+        alertManagementService = null;
+
+    }
+
+    public static void reset() {
+        alertManagementService = null;
+    }
+
+    public static Class<? extends AlertManagementService> getAlertManagementClass() {
+        return descriptor.getAlertManagementClass();
+    }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/AlertProvider.java
--- a/nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/AlertProvider.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/AlertProvider.java	Fri Mar 26 09:05:32 2010 +0100
@@ -11,39 +11,39 @@
 public interface AlertProvider {
 
     /**
-     * Initializes the rendering service, usually by registering the engines used by the alert
-     * provider
+     * Initializes the rendering service, usually by registering the engines
+     * used by the alert provider
      * 
      * @param rs rendering service to initialize
      */
-    
-    public List<String> getTemplateList();    
 
-        
+    public List<String> getTemplateList();
+
     /**
-     * Initializes the rendering service, usually by registering the engines used by the alert
-     * provider
+     * Initializes the rendering service, usually by registering the engines
+     * used by the alert provider
      * 
      * @param rs rendering service to initialize
-     * @throws ClientException 
+     * @throws ClientException
      */
-    
-    public Map<String, UserAlerts> getAllPendingAlerts(CoreSession coreSession) throws ClientException;
-    
-    
+
+    public Map<String, UserAlerts> getAllPendingAlerts(CoreSession coreSession)
+            throws ClientException;
+
     /**
      * 
      * @param coreSession: The core session
      * @param rs: rendering service to use
      * @param userName: the user name for whom to render alerts
-     * @param alerts : the alert list previously returned by {@link getAllPendingAlerts}
+     * @param alerts : the alert list previously returned by
+     *            {@link getAllPendingAlerts}
      * @param userSettings
      * @return An html string containing all the alerts for the specified user
      * @throws ClientException
      */
-    
-    public String renderAlerts(CoreSession coreSession, RenderingService rs, String userName, List<Alert> alerts, DocumentModel userSettings, AlertContext ctx) throws ClientException;
 
-    
+    public String renderAlerts(CoreSession coreSession, RenderingService rs,
+            String userName, List<Alert> alerts, DocumentModel userSettings,
+            AlertContext ctx) throws ClientException;
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/UserAlerts.java
--- a/nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/UserAlerts.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-api/src/main/java/org/nuxeo/ecm/alert/UserAlerts.java	Fri Mar 26 09:05:32 2010 +0100
@@ -4,34 +4,33 @@
 import java.util.List;
 
 public class UserAlerts {
-    
+
     private String userName;
-    
+
     private List<Alert> alerts;
 
-    protected UserAlerts() {}
-    
+    protected UserAlerts() {
+    }
+
     public UserAlerts(String userName) {
-	this.userName = userName;
-	this.alerts = new ArrayList<Alert>();
+        this.userName = userName;
+        this.alerts = new ArrayList<Alert>();
     }
-    
-    
+
     public void setUserName(String userName) {
-	this.userName = userName;
+        this.userName = userName;
     }
 
     public String getUserName() {
-	return userName;
+        return userName;
     }
 
     public void setAlerts(List<Alert> alerts) {
-	this.alerts = alerts;
+        this.alerts = alerts;
     }
 
     public List<Alert> getAlerts() {
-	return alerts;
+        return alerts;
     }
 
-
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/core/listener/AlertEventListener.java
--- a/nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/core/listener/AlertEventListener.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/core/listener/AlertEventListener.java	Fri Mar 26 09:05:32 2010 +0100
@@ -36,8 +36,9 @@
 import org.nuxeo.runtime.api.Framework;
 
 /**
- * Listens for all the events mentions in the {@link AlertEvent} interface. These events are triggered either by a scheduler or
- * manually, and request the alert manager to send all pending alerts.
+ * Listens for all the events mentions in the {@link AlertEvent} interface.
+ * These events are triggered either by a scheduler or manually, and request the
+ * alert manager to send all pending alerts.
  * 
  * @see {@link AlertManagementService}
  * 
@@ -46,98 +47,104 @@
 
 public class AlertEventListener implements EventListener {
 
-	/**
-	 * The current alert management service
-	 */
+    /**
+     * The current alert management service
+     */
 
-	private static AlertManagementService service = null;
+    private static AlertManagementService service = null;
 
-	/**
-	 * Gets the alert management service
-	 * 
-	 * @return The alert management service
-	 * @throws Exception
-	 */
+    /**
+     * Gets the alert management service
+     * 
+     * @return The alert management service
+     * @throws Exception
+     */
 
-	private static AlertManagementService getService() throws Exception {
+    private static AlertManagementService getService() throws Exception {
 
-		if (service == null)
-			service = Framework.getService(AlertManagementService.class);
+        if (service == null)
+            service = Framework.getService(AlertManagementService.class);
 
-		return service;
+        return service;
 
-	}
+    }
 
-	private static final Log log = LogFactory.getLog(AlertEventListener.class);
+    private static final Log log = LogFactory.getLog(AlertEventListener.class);
 
-	/**
-	 * Processes the alert request events
-	 * 
-	 * @param event
-	 *            The event to process. All events not listed in the {@link AlertEvent} class are ignored.
-	 */
+    /**
+     * Processes the alert request events
+     * 
+     * @param event The event to process. All events not listed in the
+     *            {@link AlertEvent} class are ignored.
+     */
 
-	public void handleEvent(Event event) {
+    public void handleEvent(Event event) {
 
-		String eventId = event.getName();
+        String eventId = event.getName();
 
-		if (!AlertEvent.getAllowedEvents().contains(eventId)) {
-			return;
-		}
+        if (!AlertEvent.getAllowedEvents().contains(eventId)) {
+            return;
+        }
 
-		log.debug(String.format("Received %s event", eventId));
-		log.trace(String.format("event.isCanceled()=%s", event.isCanceled() ? "true" : "false"));
-		log.trace(String.format("event.isCommitEvent()=%s", event.isCommitEvent() ? "true" : "false"));
-		log.trace(String.format("event.isImmediate()=%s", event.isImmediate() ? "true" : "false"));
-		log.trace(String.format("event.isInline()=%s", event.isInline() ? "true" : "false"));
-		log.trace(String.format("event.isLocal()=%s", event.isLocal() ? "true" : "false"));
-		log.trace(String.format("event.isMarkedForRollBack()=%s", event.isMarkedForRollBack() ? "true" : "false"));
-		log.trace(String.format("event.isPublic()=%s", event.isPublic() ? "true" : "false"));
+        log.debug(String.format("Received %s event", eventId));
+        log.trace(String.format("event.isCanceled()=%s",
+                event.isCanceled() ? "true" : "false"));
+        log.trace(String.format("event.isCommitEvent()=%s",
+                event.isCommitEvent() ? "true" : "false"));
+        log.trace(String.format("event.isImmediate()=%s",
+                event.isImmediate() ? "true" : "false"));
+        log.trace(String.format("event.isInline()=%s",
+                event.isInline() ? "true" : "false"));
+        log.trace(String.format("event.isLocal()=%s", event.isLocal() ? "true"
+                : "false"));
+        log.trace(String.format("event.isMarkedForRollBack()=%s",
+                event.isMarkedForRollBack() ? "true" : "false"));
+        log.trace(String.format("event.isPublic()=%s",
+                event.isPublic() ? "true" : "false"));
 
-		LoginContext loginContext = null;
-		CoreSession coreSession = null;
+        LoginContext loginContext = null;
+        CoreSession coreSession = null;
 
-		try {
+        try {
 
-			// Open a system session
-			log.trace("Open a system session");
-			loginContext = Framework.login();
-			RepositoryManager mgr = Framework.getService(RepositoryManager.class);
-			Repository repository = mgr.getDefaultRepository();
-			if (repository != null) {
-				coreSession = repository.open();
-			} else {
-				log.error("Unable to open the default repository");
-			}
-			if (coreSession == null) {
-				log.error("Unable to open the core session");
-				return;
-			}
+            // Open a system session
+            log.trace("Open a system session");
+            loginContext = Framework.login();
+            RepositoryManager mgr = Framework.getService(RepositoryManager.class);
+            Repository repository = mgr.getDefaultRepository();
+            if (repository != null) {
+                coreSession = repository.open();
+            } else {
+                log.error("Unable to open the default repository");
+            }
+            if (coreSession == null) {
+                log.error("Unable to open the core session");
+                return;
+            }
 
-			// Create the alert context and start alert processing
-			log.debug("Start alert processing");
-			AlertContext ctxt = new AlertContext();
-			ctxt.setNoPurge(false);
-			ctxt.setEventId(eventId);
-			getService().processAlerts(ctxt);
-			log.debug("Successfully performed alert processing");
-		
+            // Create the alert context and start alert processing
+            log.debug("Start alert processing");
+            AlertContext ctxt = new AlertContext();
+            ctxt.setNoPurge(false);
+            ctxt.setEventId(eventId);
+            getService().processAlerts(ctxt);
+            log.debug("Successfully performed alert processing");
 
-		} catch (Exception e) {
-			log.error("Error during the alert processing", e);
-		} finally {
+        } catch (Exception e) {
+            log.error("Error during the alert processing", e);
+        } finally {
 
-			// Try to end graciously
-			if (coreSession != null) {
-				CoreInstance.getInstance().close(coreSession);
-			}
-			if (loginContext != null) {
-				try {
-					loginContext.logout();
-				} catch (LoginException e) {
-				}
-			}
-		}
-	}
+            // Try to end graciously
+            if (coreSession != null) {
+                CoreInstance.getInstance().close(coreSession);
+            }
+            if (loginContext != null) {
+                try {
+                    loginContext.logout();
+                } catch (LoginException e) {
+                }
+            }
+        }
+    }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/EmailHelperImpl.java
--- a/nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/EmailHelperImpl.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/EmailHelperImpl.java	Fri Mar 26 09:05:32 2010 +0100
@@ -39,70 +39,70 @@
  */
 public class EmailHelperImpl implements EmailHelper {
 
-	private static final Log log = LogFactory.getLog(EmailHelper.class);
+    private static final Log log = LogFactory.getLog(EmailHelper.class);
 
-	protected static boolean javaMailNotAvailable = false;
+    protected static boolean javaMailNotAvailable = false;
 
-	private InternetAddress fromAddress = null;
+    private InternetAddress fromAddress = null;
 
-	private Session session = null;
+    private Session session = null;
 
-	public EmailHelperImpl() {
-	}
+    public EmailHelperImpl() {
+    }
 
-	public void sendmail(String subject, String to, String mailBody) throws ClientException {
+    public void sendmail(String subject, String to, String mailBody)
+            throws ClientException {
 
-		try {
+        try {
 
-			MimeMessage msg = new MimeMessage(getMailSession());
+            MimeMessage msg = new MimeMessage(getMailSession());
 
-			msg.setFrom(getFromAddress());
-			msg.setRecipients(Message.RecipientType.TO, InternetAddress.parse(
-					(String) to, false));
-			msg.setSentDate(new Date());
-			msg.setSubject(subject);
-			msg.setContent(mailBody, "text/html; charset=utf-8");
+            msg.setFrom(getFromAddress());
+            msg.setRecipients(Message.RecipientType.TO, InternetAddress.parse(
+                    (String) to, false));
+            msg.setSentDate(new Date());
+            msg.setSubject(subject);
+            msg.setContent(mailBody, "text/html; charset=utf-8");
 
-			try {
-				Transport.send(msg);
-			} catch (Exception e) {
-				log.error(String.format("Unable to send alert mail to %s (%s)", to, e.getMessage()));
-			}
+            try {
+                Transport.send(msg);
+            } catch (Exception e) {
+                log.error(String.format("Unable to send alert mail to %s (%s)",
+                        to, e.getMessage()));
+            }
 
-			try {
-				File f = new File("/tmp/notification.html");
-				if (f.exists())
-					f.delete();
-				FileWriter fw = new FileWriter(f);
-				fw.write(mailBody);
-				fw.close();
-			} catch (Exception e) {
+            try {
+                File f = new File("/tmp/notification.html");
+                if (f.exists())
+                    f.delete();
+                FileWriter fw = new FileWriter(f);
+                fw.write(mailBody);
+                fw.close();
+            } catch (Exception e) {
 
-			}
+            }
 
-		}
+        }
 
-		catch (Exception e) {
-			throw new ClientException("Unable to send mail", e);
-		}
-	}
+        catch (Exception e) {
+            throw new ClientException("Unable to send mail", e);
+        }
+    }
 
-	private InternetAddress getFromAddress()
-			throws AddressException {
-		if (fromAddress == null)
-			fromAddress = new InternetAddress(getMailSession().getProperty("mail.from"));
-		return fromAddress;
-	}
-	
-	private Session getMailSession() {
+    private InternetAddress getFromAddress() throws AddressException {
+        if (fromAddress == null)
+            fromAddress = new InternetAddress(getMailSession().getProperty(
+                    "mail.from"));
+        return fromAddress;
+    }
 
-		if (session == null)
-			session = EmailSessionFactory.getSession();
+    private Session getMailSession() {
 
-		return session;
+        if (session == null)
+            session = EmailSessionFactory.getSession();
 
-	}
+        return session;
 
-
+    }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/EmailSessionFactory.java
--- a/nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/EmailSessionFactory.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/EmailSessionFactory.java	Fri Mar 26 09:05:32 2010 +0100
@@ -11,46 +11,46 @@
 
 public class EmailSessionFactory {
 
-	protected static boolean javaMailNotAvailable = false;
+    protected static boolean javaMailNotAvailable = false;
 
-	private static final Log log = LogFactory.getLog(EmailSessionFactory.class);
+    private static final Log log = LogFactory.getLog(EmailSessionFactory.class);
 
-	public static boolean isJavaMailFault() { return javaMailNotAvailable; }
-	
-	/**
-	 * Gets the session from the JNDI.
-	 */
-	public static Session getSession() {
-		
-		Session session = null;
-		
-		if (javaMailNotAvailable) {
-			return null;
-		}
-		// First, try to get the session from JNDI, as would be done under J2EE.
-		try {
-			NotificationService service = (NotificationService) Framework
-					.getRuntime().getComponent(NotificationService.NAME);
-			InitialContext ic = new InitialContext();
-			session = (Session) ic.lookup(service.getMailSessionJndiName());
-		} catch (Exception ex) {
+    public static boolean isJavaMailFault() {
+        return javaMailNotAvailable;
+    }
 
-			try {
-				log
-						.warn("Unable to find Java mail API, trying to fallback on TOMCAT configuration");
-				NotificationService service = (NotificationService) Framework
-						.getRuntime().getComponent(NotificationService.NAME);
-				InitialContext ic = new InitialContext();
-				Context envCtx = (Context) ic.lookup("java:comp/env");
-				session = (Session) envCtx.lookup(service.getMailSessionJndiName());
-				
-			} catch (Exception ex2) {
-				javaMailNotAvailable = true;
-			}
-		}
+    /**
+     * Gets the session from the JNDI.
+     */
+    public static Session getSession() {
 
-		return session;
-	}
+        Session session = null;
 
+        if (javaMailNotAvailable) {
+            return null;
+        }
+        // First, try to get the session from JNDI, as would be done under J2EE.
+        try {
+            NotificationService service = (NotificationService) Framework.getRuntime().getComponent(
+                    NotificationService.NAME);
+            InitialContext ic = new InitialContext();
+            session = (Session) ic.lookup(service.getMailSessionJndiName());
+        } catch (Exception ex) {
+
+            try {
+                log.warn("Unable to find Java mail API, trying to fallback on TOMCAT configuration");
+                NotificationService service = (NotificationService) Framework.getRuntime().getComponent(
+                        NotificationService.NAME);
+                InitialContext ic = new InitialContext();
+                Context envCtx = (Context) ic.lookup("java:comp/env");
+                session = (Session) envCtx.lookup(service.getMailSessionJndiName());
+
+            } catch (Exception ex2) {
+                javaMailNotAvailable = true;
+            }
+        }
+
+        return session;
+    }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/HtmlFooterRenderingContext.java
--- a/nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/HtmlFooterRenderingContext.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-alert-core/src/main/java/org/nuxeo/ecm/alert/rendering/HtmlFooterRenderingContext.java	Fri Mar 26 09:05:32 2010 +0100
@@ -14,26 +14,28 @@
 
     @Override
     public <T> T getAdapter(Class<T> adapter) {
-	if (adapter.isAssignableFrom(getClass())) {
-	    return adapter.cast(this);
-	} else if (adapter.isAssignableFrom(DocumentModel.class)) {
-	    return adapter.cast(getDocuments());
-	}
-	return null;
+        if (adapter.isAssignableFrom(getClass())) {
+            return adapter.cast(this);
+        } else if (adapter.isAssignableFrom(DocumentModel.class)) {
+            return adapter.cast(getDocuments());
+        }
+        return null;
     }
 
     public void setDocuments(List<DocumentModel> doc) {
-	put(CTX_PARAM_DOCUMENTS, doc);
+        put(CTX_PARAM_DOCUMENTS, doc);
     }
 
     @SuppressWarnings("unchecked")
     public List<DocumentModel> getDocuments() {
-	return (List<DocumentModel>) get(CTX_PARAM_DOCUMENTS);
+        return (List<DocumentModel>) get(CTX_PARAM_DOCUMENTS);
     }
 
     @Override
     public boolean accept(RenderingEngine engine) {
-	if (engine.getFormatName().equals("alertFooter")) return true;
-	else return false;
+        if (engine.getFormatName().equals("alertFooter"))
+            return true;
+        else
+            return false;
     }
 }
\ No newline at end of file
